apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: acme-challenge-ingress
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: networking.k8s.io/v1
      kind: Ingress
      metadata:
        name: acme-challenge
        namespace: pomerium
        annotations:
          kubernetes.io/ingress.class: ambassador
          nginx.ingress.kubernetes.io/rewrite-target: /
      spec:
        rules:
          - host: authenticate.nge6.com
            http:
              paths:
                - path: /.well-known/acme-challenge
                  pathType: Prefix
                  backend:
                    service:
                      name: cm-acme-http-solver-2cljl
                      port:
                        number: 8089
          - host: keycloak.nge6.com
            http:
              paths:
                - path: /.well-known/acme-challenge
                  pathType: Prefix
                  backend:
                    service:
                      name: cm-acme-http-solver-f2t87
                      port:
                        number: 8089